#
# spec file for package python-pypng
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%bcond_without  test
Name:           python-pypng
Version:        0.0.18
Release:        lp151.2.2
License:        MIT
Summary:        Pure Python PNG image encoder/decoder
Url:            https://github.com/drj11/pypng
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/p/pypng/pypng-%{version}.tar.gz
BuildRequires:  %{python_module Cython}
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  python3-2to3
%if %{with test}
BuildRequires:  %{python_module numpy}
%endif
BuildArch:      noarch

%python_subpackages

%description
PyPNG allows PNG image files to be read and written using pure Python.

%prep
%setup -q -n pypng-%{version}
sed -i -e '/^#!\//, 1d' code/png.py

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%if %{with test}
%check
%python_expand cp code/test_png.py test_png_%{$python_bin_suffix}.py

if [ -f test_png_%{python3_bin_suffix}.py  ]; then
2to3 -wn test_png_%{python3_bin_suffix}.py
fi

%{python_expand export PYTHONPATH=%{buildroot}%{$python_sitelib}:code
$python test_png_%{$python_bin_suffix}.py
}
%endif

%files %{python_files}
%defattr(-,root,root,-)
%doc README.txt
%{python_sitelib}/*

%changelog
* Tue Nov  7 2017 toddrme2178@gmail.com
- initial version
